API para parceiros › Gerenciamento Obter configurações do site GET /api/crm/v2/sites_settingsv2
operationId: sitesSettings.default
Autorização api-token + language + role
Parâmetros de consulta branch_id integer obrigatório
Exemplo: 8810
Respostas 200
object
status string obrigatório
Valores: successerror
Exemplo: success
data object
filters object obrigatório
branch_id object (FilterSelectInteger)
value integer
Exemplo: 8920
type string obrigatório
Exemplo: select
option array of object
value integer obrigatório
Exemplo: 8920
name string obrigatório
Exemplo: Green Basket | Kaliningrad
mode string (FilterMode)
Como a interface processa o filtro; filtros comuns não possuem mode. force_shown — sempre exibido, não pode ser ocultado. value_required — ponto de entrada para a seção: sempre exibido, não pode ter valor vazio (enquanto o valor não for selecionado, a lista permanece vazia; não há opção "todos"), a limpeza geral não o redefine.
Valores: force_shownvalue_required
Exemplo: value_required
notice string
Exemplo: message
yandex_metrika string
Exemplo: 314159
list array of object
id string obrigatório
Identificador composto: [page]_[platform]_[type]_[section]
Exemplo: all_site_desktop_head
page string obrigatório
Valores: allaboutfeedbackmainmobidel-trackerpopularrecommendspecial-offersvacancies
Exemplo: all
platform string obrigatório
Valores: allsitesocial-app
Exemplo: all
type string obrigatório
Valores: alldesktopmobile
Exemplo: all
section string obrigatório
Valores: headbody
Exemplo: head
html string obrigatório
Exemplo: <meta name='robots' content='index, follow'>
curl PHP JavaScript Python Copiar
curl -X GET 'https://foodsoul.ru/api/crm/v2/sites_settings?branch_id=8810' \
-H 'Authorization: Bearer fs_api_YOUR_TOKEN' \
-H 'language: pt' \
-H 'role: partner' <?php
$client = new \GuzzleHttp\Client ();
$response = $client -> request ( 'GET' , 'https://foodsoul.ru/api/crm/v2/sites_settings?branch_id=8810' , [
'headers' => [
'Authorization' => 'Bearer fs_api_YOUR_TOKEN' ,
'language' => 'pt' ,
'role' => 'partner' ,
],
]);
$data = json_decode (( string ) $response -> getBody (), true ); const response = await fetch ( "https://foodsoul.ru/api/crm/v2/sites_settings?branch_id=8810" , {
method : "GET" ,
headers : {
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "pt" ,
"role" : "partner"
},
})
const data = await response . json () import requests
response = requests . request (
"GET" ,
"https://foodsoul.ru/api/crm/v2/sites_settings?branch_id=8810" ,
headers ={
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "pt" ,
"role" : "partner" ,
},
)
data = response . json () Resposta 200
{
"status" : "success" ,
"data" : {
"filters" : {
"branch_id" : {
"value" : 8920 ,
"type" : "select" ,
"option" : [
{
"value" : 8920 ,
"name" : "Green Basket | Kaliningrad"
}
],
"mode" : "value_required"
}
},
"notice" : "message" ,
"yandex_metrika" : "314159" ,
"list" : [
{
"id" : "all_site_desktop_head" ,
"page" : "all" ,
"platform" : "all" ,
"type" : "all" ,
"section" : "head" ,
"html" : "<meta name='robots' content='index, follow'>"
}
]
}
} As solicitações são enviadas para foodsoul.ru — o host deste portal, não é possível escolher outro.